Console logs for unittest failures are > 100MB

Bug #1303913 reported by Clark Boylan on 2014-04-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Sean Dague
neutron
Medium
Unassigned

Bug Description

When unittests fail for nova and neutron the resulting console logs are quite large.

Nova:
http://logs.openstack.org/56/83256/14/check/gate-nova-python26/294f78f/ 142MB
http://logs.openstack.org/56/83256/14/check/gate-nova-python27/195cbd3/ 142MB

Neutron:
http://logs.openstack.org/92/85492/5/check/gate-neutron-python27/fa325bf/ 122MB
http://logs.openstack.org/92/85492/5/check/gate-neutron-python26/76c0527/ 100MB

This is problematic because it makes it very hard to debug what actually happened. We should continue to preserve complete logging in the subunit log (we do need the verbose information), but we don't need to fill the console log with noisy redundant data.

Tracy Jones (tjones-i) on 2014-04-08
tags: added: testing
Mark McLoughlin (markmc) wrote :
Changed in nova:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Sean Dague (sdague)
Mark McLoughlin (markmc) wrote :

Ah, the Nova bug was actually an issue with a huge console log when unit tests fail. Here's a failure showing we're back to smaller console log:

  http://logs.openstack.org/13/76413/2/check/gate-nova-python27/cdb8a03/

Changed in neutron:
importance: Undecided → High
assignee: nobody → Salvatore Orlando (salvatore-orlando)
assignee: Salvatore Orlando (salvatore-orlando) → nobody
Rui Zang (rui-zang) wrote :

Does anyone know how unittests are triggered for those on http://logs.openstack.org (such as the aforementioned http://logs.openstack.org/92/85492/5/check/gate-neutron-python27/fa325bf/ )?

From http://docs.openstack.org/developer/neutron/devref/development.environment.html , there are 3 ways to trigger unittest: run_test.sh, nose and tox. And with various options.

Can not find any documentation talking about logs.openstack.org

Rui Zang (rui-zang) wrote :

To answer myself, from the console log:

2014-04-07 12:15:57.051 | ++ cat
2014-04-07 12:15:57.051 | ++ cat
2014-04-07 12:15:57.051 | + tox -epy27
2014-04-07 12:15:57.132 | py27 create: /home/jenkins/workspace/gate-neutron-python27/.tox/py27
2014-04-07 12:15:58.397 | py27 installdeps: -r/home/jenkins/workspace/gate-neutron-python27/requirements.txt, -r/home/jenkins/workspace/gate-neutron-python27/test-requirements.txt, setuptools_git>=0.4
2014-04-07 12:17:04.669 | py27 develop-inst: /home/jenkins/workspace/gate-neutron-python27
2014-04-07 12:17:08.965 | py27 runtests: commands[0] | python -m neutron.openstack.common.lockutils python setup.py testr --slowest --testr-args=
2014-04-07 12:17:09.588 | running testr
2014-04-07 12:17:22.567 | running=OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1 OS_LOG_CAPTURE=1 ${PYTHON:-python} -m subunit.run discover -t ./ ${OS_TEST_PATH:-./neutron/tests/unit} --list

Rui Zang (rui-zang) on 2014-05-19
Changed in neutron:
assignee: nobody → Rui Zang (rui-zang)
status: New → In Progress
Rui Zang (rui-zang) on 2014-05-27
Changed in neutron:
assignee: Rui Zang (rui-zang) → nobody
Rui Zang (rui-zang) on 2014-05-29
Changed in neutron:
status: In Progress → New
Changed in neutron:
status: New → Confirmed
Changed in neutron:
assignee: nobody → Akhila C (chetlapalle-akhila-b)
Thierry Carrez (ttx) on 2014-06-11
Changed in nova:
milestone: none → juno-1
status: Fix Committed → Fix Released
Eugene Nikanorov (enikanorov) wrote :

Is issue still seen for neutron?
AFAIK subunit.log is now much less than 100Mb and is below 5Mb gzipped in py26 and py27 jobs.

Changed in neutron:
status: Confirmed → Incomplete
importance: High → Medium
Changed in neutron:
assignee: Akhila C (chetlapalle-akhila-b) → nobody
Thierry Carrez (ttx) on 2014-10-16
Changed in nova:
milestone: juno-1 → 2014.2

This bug is > 172 days without activity. We are unsetting assignee and milestone and setting status to Incomplete in order to allow its expiry in 60 days.

If the bug is still valid, then update the bug status.

This bug is > 180 days without activity. We are unsetting assignee and milestone and setting status to Incomplete in order to allow its expiry in 60 days.

If the bug is still valid, then update the bug status.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers